<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
>
<ui:composition template="/template/layout.xhtml">
    <ui:define name="head">
        <title>BugFix</title>
    </ui:define>
    <ui:define name="content">

        <div class="container bugtickets">
            <h1 class="pageIntro">Overview</h1>
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#Open">
                        Open
                        <h:graphicImage class="icon" value="resources/images/openbug.png"/>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#Assigned">
                        Assigned
                        <h:graphicImage class="icon" value="resources/images/assignbug.png"/>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#Closed">
                        Closed
                        <h:graphicImage class="icon" value="resources/images/closedbug.png"/>
                    </a>
                </li>
            </ul>

            <div class="tab-content">
                <div id="Open" class="tab-pane fade in active show">
                    <ui:repeat var="openBug" value="#{startBean.openBugs}">
                        <div class="row bugTicket">
                            <div class="#{startBean.getPriorityCSS(openBug.priority)} p-0">
                                <button class="btn h-100 dropdown-toggle" type="button" id="prioritySelect"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                </button>
                                <div class="dropdown-menu" aria-labelledby="prioritySelect">

                                    <ui:repeat value="#{startBean.priorityLabel}" var="prioritylabel">
                                        <h:form>
                                            <h:commandButton class="dropdown-item"
                                                             action="#{startBean.updatePriority(openBug, prioritylabel)}"
                                                             value="#{prioritylabel}"/>
                                        </h:form>
                                    </ui:repeat>
                                </div>
                            </div>
                            <div class="col-md-8 col bugsreport">
                                <h2>#{openBug.bugName}</h2>
                                <div class="bugsInfo">
                                    <div class="shorterDesc">
                                        <h:outputText escape="false" value="#{openBug.bugDescription}"/>
                                    </div>
                                    <h:button class="showMore pointer" outcome="showSelectedBug" value="show more ...">
                                        <f:param name="id" value="#{openBug.bugId}"/>
                                    </h:button>
                                    <p>#{utilitiesBean.formatDate(openBug.bugReqDate)}</p>
                                </div>
                            </div>
                            <div class="col-md-3 col dropdown dev-select">
                                <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    Set Developer
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <ui:repeat value="#{manageDevBean.developers}" var="developer">
                                        <h:form>
                                            <h:commandButton class="dropdown-item"
                                                             action="#{startBean.reserve(openBug,developer)}"
                                                             value="#{developer.devName}"/>
                                        </h:form>
                                    </ui:repeat>
                                </div>
                            </div>
                        </div>
                    </ui:repeat>
                </div>

                <div id="Assigned" class="tab-pane fade">
                    <ui:repeat var="assignedBug" value="#{startBean.assignedBugs}">
                        <div class="row bugTicket">
                            <div class="#{startBean.getPriorityCSS(assignedBug.priority)}  p-0">
                                <button class="btn h-100 dropdown-toggle" type="button" id="prioritySelect"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                </button>
                                <div class="dropdown-menu" aria-labelledby="prioritySelect">
                                    <ui:repeat value="#{startBean.priorityLabel}" var="prioritylabel">
                                        <h:form>
                                            <h:commandButton class="dropdown-item"
                                                             action="#{startBean.updatePriority(assignedBug, prioritylabel)}"
                                                             value="#{prioritylabel}"/>
                                        </h:form>
                                    </ui:repeat>
                                </div>
                            </div>
                            <div class="col-md-8 col bugsreport">
                                <h2>#{assignedBug.bugName}</h2>
                                <div class="bugsInfo">
                                    <div class="shorterDesc">
                                        <h:outputText escape="false" value="#{assignedBug.bugDescription}"/>
                                    </div>
                                    <h:button class="showMore pointer" outcome="showSelectedBug" value="show more ...">
                                        <f:param name="id" value="#{assignedBug.bugId}"/>
                                    </h:button>
                                    <p>Request on: #{utilitiesBean.formatDate(assignedBug.bugReqDate)}</p>
                                </div>
                            </div>
                            <div class="col-md-3 col dev-select">
                                <h3>Assigned to: #{assignedBug.developer.devName}</h3>
                                <div class="row">
                                    <div class="col">
                                        <h:form>
                                            <h:commandButton class="btn" action="#{startBean.reopenBug(assignedBug)}"
                                                             value="Re-Open"/>
                                        </h:form>
                                    </div>
                                    <div class="col">
                                        <h:form>
                                            <h:commandButton class="btn" action="#{startBean.closeBug(assignedBug)}"
                                                             value="Fixed"/>
                                        </h:form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ui:repeat>
                </div>

                <div id="Closed" class="tab-pane fade">
                    <ui:repeat var="closedBug" value="#{startBean.closedBugs}">
                        <div class="row bugTicket">
                            <div class="col-md-8 col-10 bugsreport">
                                <h2>#{closedBug.bugName}</h2>
                                <div class="bugsInfo">
                                    <div class="shorterDesc">
                                        <h:outputText escape="false" value="#{closedBug.bugDescription}"/>
                                    </div>
                                    <h:button class="showMore" outcome="showSelectedBug" value="show more ...">
                                        <f:param name="id" value="#{closedBug.bugId}"/>
                                    </h:button>
                                </div>
                            </div>
                            <div class="col-md-4 col dev-select">
                                <p>Requested on: #{utilitiesBean.formatDate(closedBug.bugReqDate)}</p>
                                <p>Fixed on #{utilitiesBean.formatDate(closedBug.fixDate)}</p>
                            </div>
                        </div>
                    </ui:repeat>
                </div>
            </div>
        </div>
    </ui:define>
</ui:composition>
</html>
